> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List notes

> List notes for all records or for a specific record.

Required scopes: `note:read`, `object_configuration:read`, `record_permission:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api get /v2/notes
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/notes:
    get:
      tags:
        - Notes
      summary: List notes
      description: >-
        List notes for all records or for a specific record.


        Required scopes: `note:read`, `object_configuration:read`,
        `record_permission:read`.
      parameters:
        - schema:
            type: integer
            description: >-
              The maximum number of results to return. The default is `10` and
              the maximum is `50`. See the [full guide to pagination
              here](/rest-api/guides/pagination).
            example: 10
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: >-
              The number of results to skip over before returning. The default
              is `0`. See the [full guide to pagination
              here](/rest-api/guides/pagination).
            example: 5
          required: false
          name: offset
          in: query
        - schema:
            type: string
            description: The slug or ID of the parent object the notes belong to.
            example: people
          required: false
          name: parent_object
          in: query
        - schema:
            type: string
            format: uuid
            description: The ID of the parent record the notes belong to.
            example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
          required: false
          name: parent_record_id
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/note'
                required:
                  - data
                description: Success
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 404
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - not_found
                  message:
                    type: string
                    example: Object with slug/ID "people" not found.
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Not Found
      security:
        - oauth2:
            - note:read
            - object_configuration:read
            - record_permission:read
components:
  schemas:
    note:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace the note belongs to.
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            note_id:
              type: string
              format: uuid
              description: The ID of the note.
              example: ff3f3bd4-40f4-4f80-8187-cd02385af424
          required:
            - workspace_id
            - note_id
        parent_object:
          type: string
          description: The slug or ID of the parent object the note belongs to.
          example: people
        parent_record_id:
          type: string
          format: uuid
          description: The ID of the parent record the note belongs to.
          example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
        title:
          type: string
          description: The note title. The title is plaintext only and has no formatting.
          example: Initial Prospecting Call Summary
        meeting_id:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            The ID of the meeting associated with this note, or null if no
            meeting is associated.
          example: 14beef7a-99f7-4534-a87e-70b564330a4c
        content_plaintext:
          type: string
          description: >-
            The plaintext representation of the note content. The line feed
            character `\n` represents new lines within the note content.
          example: |-
            Introduction
            Date and time of the call
            Participants
            Purpose of the call
            Customer Background
            Company overview (industry, size, location)
            Key business challenges
            Current software solutions (if any) and pain points
        content_markdown:
          type: string
          description: >-
            The markdown representation of the note content. Supports a subset
            of markdown features including:

            - Headings (levels 1-3 only with `#`, `##`, `###`)

            - Unordered lists (`-`, `*`, `+`)

            - Ordered lists (`1.`, `2.`, etc.)

            - Text styling: `**bold**`, `*italic*`, `~~strikethrough~~`,
            `==highlighted==`

            - Links: `[link text](https://example.com)`


            Note that note images are not returned as part of the markdown API
            representation.
          example: |-
            # Introduction
            Date and time of the call
            Participants
            Purpose of the call

            ## Customer Background
            - Company overview (industry, size, location)
            - Key business challenges
            - Current software solutions (if any) and pain points
        tags:
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - workspace-member
                    description: >-
                      The type of entity tagged in the note. Can be either
                      'workspace-member' or 'record'
                  workspace_member_id:
                    type: string
                    format: uuid
                    description: The ID of the workspace member that is tagged in the note.
                    example: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                required:
                  - type
                  - workspace_member_id
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - record
                    description: >-
                      The type of entity tagged in the note. Can be either
                      'workspace-member' or 'record'
                  object:
                    type: string
                    description: >-
                      The slug or ID of the object that the tagged record
                      belongs to.
                    example: people
                  record_id:
                    type: string
                    format: uuid
                    description: The ID of the record that is tagged in the note.
                    example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                required:
                  - type
                  - object
                  - record_id
          description: >-
            An array of records or workspace members that are @-tagged in the
            note content.
          example:
            - type: workspace-member
              workspace_member_id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
            - type: record
              object: people
              record_id: 891dcbfc-9141-415d-9b2a-2238a6cc012d
        created_by_actor:
          type: object
          description: The actor that created this note.
          properties:
            id:
              type: string
              description: An ID to identify the actor.
              nullable: true
            type:
              type: string
              enum:
                - api-token
                - workspace-member
                - system
                - app
              nullable: true
              description: >-
                The type of actor. [Read more information on actor types
                here](/docs/actors).
          example:
            type: workspace-member
            id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
        created_at:
          type: string
          description: When the note was created.
          example: '2022-11-21T13:22:49.061281000Z'
      required:
        - id
        - parent_object
        - parent_record_id
        - title
        - meeting_id
        - content_plaintext
        - content_markdown
        - tags
        - created_by_actor
        - created_at
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````